//------------------------------------------------------------------
// xalone.js
//------------------------------------------------------------------
// Tony Garland
// contact@spiritandtruth.org

var undefined;
//------------------------------------------------------------------
// Field a Cross-Reference Generated Within this Book
//------------------------------------------------------------------
window.bookFiles = new Array()
window.bookFiles[ 'mat.'  ] = 'b40';
window.bookFiles[ 'mark'  ] = 'b41';
window.bookFiles[ 'luke'  ] = 'b42';
window.bookFiles[ 'john'  ] = 'b43';
window.bookFiles[ 'acts'  ] = 'b44';
window.bookFiles[ 'rom.'  ] = 'b45';
window.bookFiles[ '1cor.' ] = 'b46';
window.bookFiles[ '2cor.' ] = 'b47';
window.bookFiles[ 'gal.'  ] = 'b48';
window.bookFiles[ 'eph.'  ] = 'b49';
window.bookFiles[ 'php.'  ] = 'b50';
window.bookFiles[ 'col.'  ] = 'b51';
window.bookFiles[ '1th.'  ] = 'b52';
window.bookFiles[ '2th.'  ] = 'b53';
window.bookFiles[ '1ti.'  ] = 'b54';
window.bookFiles[ '2ti.'  ] = 'b55';
window.bookFiles[ 'tit.'  ] = 'b56';
window.bookFiles[ 'phm.'  ] = 'b57';
window.bookFiles[ 'heb.'  ] = 'b58';
window.bookFiles[ 'jas.'  ] = 'b59';
window.bookFiles[ '1pe.'  ] = 'b60';
window.bookFiles[ '2pe.'  ] = 'b61';
window.bookFiles[ '1jn.'  ] = 'b62';
window.bookFiles[ '2jn.'  ] = 'b63';
window.bookFiles[ '3jn.'  ] = 'b64';
window.bookFiles[ 'jude'  ] = 'b65';
window.bookFiles[ 'rev.'  ] = 'b66';

window.bookFiles[ 'gen.'  ] = 'b01';
window.bookFiles[ 'ex.'   ] = 'b02';
window.bookFiles[ 'lev.'  ] = 'b03';
window.bookFiles[ 'num.'  ] = 'b04';
window.bookFiles[ 'deu.'  ] = 'b05';
window.bookFiles[ 'jos.'  ] = 'b06';
window.bookFiles[ 'jdg.'  ] = 'b07';
window.bookFiles[ 'ru.'   ] = 'b08';
window.bookFiles[ '1s.'   ] = 'b09';
window.bookFiles[ '2s.'   ] = 'b10';
window.bookFiles[ '1k.'   ] = 'b11';
window.bookFiles[ '2k.'   ] = 'b12';
window.bookFiles[ '1chr.' ] = 'b13';
window.bookFiles[ '2chr.' ] = 'b14';
window.bookFiles[ 'ezra'  ] = 'b15';
window.bookFiles[ 'ne.'   ] = 'b16';
window.bookFiles[ 'est.'  ] = 'b17';
window.bookFiles[ 'job'   ] = 'b18';
window.bookFiles[ 'ps.'   ] = 'b19';
window.bookFiles[ 'pr.'   ] = 'b20';
window.bookFiles[ 'ecc.'  ] = 'b21';
window.bookFiles[ 'sos.'  ] = 'b22';
window.bookFiles[ 'isa.'  ] = 'b23';
window.bookFiles[ 'jer.'  ] = 'b24';
window.bookFiles[ 'lam.'  ] = 'b25';
window.bookFiles[ 'eze.'  ] = 'b26';
window.bookFiles[ 'dan.'  ] = 'b27';
window.bookFiles[ 'hos.'  ] = 'b28';
window.bookFiles[ 'joel'  ] = 'b29';
window.bookFiles[ 'amos'  ] = 'b30';
window.bookFiles[ 'ob.'   ] = 'b31';
window.bookFiles[ 'jonah' ] = 'b32';
window.bookFiles[ 'mic.'  ] = 'b33';
window.bookFiles[ 'nah.'  ] = 'b34';
window.bookFiles[ 'hab.'  ] = 'b35';
window.bookFiles[ 'zep.'  ] = 'b36';
window.bookFiles[ 'hag.'  ] = 'b37';
window.bookFiles[ 'zec.'  ] = 'b38';
window.bookFiles[ 'mal.'  ] = 'b39';

// Input is cross reference to anchor.
// Go to the location ourselves (without linked books).
function XALONE( anchor )
    {


    var url = anchor

    // If anchor is a topic or button link.
    parts = url.split( '|' )
    if (1 < parts.length)
        {
        left = parts[ 0 ]
        // If a button link.
        if ( 0 == left.search( /b\d+c\d+/ ) )
            {
            url = left + '.htm'
            if ( 1 <= parts.length )
                {
                if ( 'TOP' == parts[ 1 ] ) url = url + '#__TOP__'
                if ( 'BOT' == parts[ 1 ] ) url = url + '#__BOT__'
                }
            }
        // Else assume a topic link.
        else 
            {
            top.window.location.href = '../../study/index.htm?book=web&book=naves&topic=' + left
            return
            }
        }

    // Else not linking to next chapter.
    else
       {

        // Check for Strong's number reference.
        if ( goStrongs(url) ) return

        anchor = url;
        book = url.toLowerCase().split( '_' )

        // Another check for bare topic link?
        if (1 == book.length)
            {
            top.window.location.href = '../../study/index.htm?book=web&book=naves&topic=' + book[0]
            return
            }

        url = window.bookFiles[ book[ 0 ] ]

        // Convert chapter into fixed-width;
        chapter = book[ 1 ]
        chapter = chapter.split( 'v' )
        chapter = chapter[ 0 ].split( 'c' )
        chapter = chapter[ 1 ]
        if ( chapter < 10 )
            {
            chapter = "00" + chapter;
            }
        else if ( chapter < 100 )
            {
            chapter = "0" + chapter;
            }
        url += "c" + chapter + ".htm#" + anchor
        }

    //alert( url );
    var pane = window.b
    if ( pane == undefined )
        {
        pane = window
        }
    pane.location.href = url;
    return;

    }

function goStrongs( anchor )
    {
    if ( 0 != anchor.search( /(g|h)\d+/ ) ) return false

    prefix = anchor.slice(0,1)
    fileNum = anchor.slice(1,anchor.length).replace( /\D+/, "")

    remainder = fileNum % 100
    fileNum -= remainder
    fileNum = fileNum / 100
    zero = ''
    if  (fileNum < 10 )
        {
        zero = '0'
        }
    url = '../../dict/bdb/' + prefix + zero + fileNum + '.htm#' + anchor
    var pane = window
    if ( parent.x )
        {
        pane = parent.x
        }
    pane.location.href = url
    return true;
    }

